## org.eclipse.uml2.uml
Interface SequenceNode

All Superinterfaces:
  Action, ActivityGroup, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, RedefinableElement, StructuredActivityNode

    public interface SequenceNode

extends StructuredActivityNode

A representation of the model object 'Sequence Node'. A sequence node is a structured activity node that executes its actions in order.

The following features are supported:

- `Executable Node`

See Also:
  `UMLPackage.getSequenceNode()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ExecutableNode` `createExecutableNode(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ExecutableNode`, with the specified 'Name', and appends it to the 'Executable Node' containment reference list
`ExecutableNode` `getExecutableNode(java.lang.String name)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Executable Node' containment reference list
`ExecutableNode` `getExecutableNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Executable Node' containment reference list
`org.eclipse.emf.common.util.EList<ExecutableNode>` `getExecutableNodes()` Returns the value of the 'Executable Node' containment reference list.

Methods inherited from interface org.eclipse.uml2.uml.StructuredActivityNode
`createEdge, createNode, createVariable, getEdge, getEdge, getEdges, getNode, getNode, getNodes, getVariable, getVariable, getVariables, isMustIsolate, setMustIsolate, validateEdges`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.ActivityGroup
`getContainedEdge, getContainedEdge, getContainedEdges, getContainedNode, getContainedNode, getContainedNodes, getInActivity, getSubgroups, getSuperGroup, setInActivity, validateGroupOwned, validateNodesAndEdges, validateNotContained`

Method Detail

### getExecutableNodes

    org.eclipse.emf.common.util.EList<ExecutableNode> getExecutableNodes()

  Returns the value of the 'Executable Node' containment reference list. The list contents are of type `ExecutableNode`.

  This feature redefines the following features:

  - '`Node`'
  An ordered set of executable nodes.

  Returns:
    the value of the 'Executable Node' containment reference list.
  See Also:
    `UMLPackage.getSequenceNode_ExecutableNode()`

### createExecutableNode

    ExecutableNode createExecutableNode(java.lang.String name,
                                        org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ExecutableNode`, with the specified 'Name', and appends it to the 'Executable Node' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `ExecutableNode`, or `null`.
    `eClass` - The Ecore class of the `ExecutableNode` to create.
  Returns:
    The new `ExecutableNode`.
  See Also:
    `getExecutableNodes()`

### getExecutableNode

    ExecutableNode getExecutableNode(java.lang.String name)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Executable Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getExecutableNodes()`

### getExecutableNode

    ExecutableNode getExecutableNode(java.lang.String name,
                                     boolean ignoreCase,
                                     org.eclipse.emf.ecore.EClass eClass,
                                     boolean createOnDemand)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Executable Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ExecutableNode` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `ExecutableNode` on demand if not found.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getExecutableNodes()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.